      PROGRAM GRID2SCR
C
C  converte una mesh 2D in un file script per AUTOCAD
C  Il file di input deve contenere il numero dei nodi (NN), il
C  numero dei triangoli (NT), la triangolazione, le coordinate
C  dei nodi.
C  Il file di output deve essere con estensione .scr
C  in AUTOCAD non deve essere attiva l'opzione OSNAP per poter 
C  visualizzare la griglia
C
      IMPLICIT NONE
      INTEGER NNMAX,NTMAX
      PARAMETER (NNMAX=2651)
      PARAMETER (NTMAX=5239)
C
      INTEGER I,II,J,JJ,K,NN,NT
      INTEGER TRIANG(NTMAX,3),CROSS(NNMAX,NNMAX)
      REAL*8 X(NNMAX),Y(NNMAX)
      CHARACTER*4 COMMAND
C

      OPEN(2,FILE='meshxytria.out',STATUS='OLD')
      OPEN(7,FILE='griglia.scr',STATUS='UNKNOWN')
C
      DO I=1,NNMAX
         DO J=1,NNMAX
            IF (I .EQ. J) THEN
               CROSS(I,J)=1
            ELSE
               CROSS(I,J)=0
            ENDIF
         END DO
      END DO
C
      READ(2,*) NN, NT
C
      IF (NT .LE. NTMAX) THEN
         DO I=1,NT
            READ(2,*) (TRIANG(I,J),J=1,3)
         END DO
      ELSE
         WRITE(*,*) 'AUMENTARE NTMAX'
         STOP
      ENDIF
C
      IF (NN .LE. NNMAX) THEN
         DO I=1,NN
            READ(2,*) X(I),Y(I)
         END DO
      ELSE
         WRITE(*,*) 'AUMENTARE NNMAX'
         STOP
      ENDIF
C
C
      COMMAND='LINE'
C
      DO I=1,NT
         DO J=1,2
            DO K=J+1,3
               II=TRIANG(I,J)
               JJ=TRIANG(I,K)
               IF (CROSS(II,JJ) .EQ. 0) THEN
                  WRITE(7,'(A4)') COMMAND
                  WRITE(7,100) X(II),Y(II)
                  WRITE(7,100) X(JJ),Y(JJ)
                  WRITE(7,*)
                  CROSS(II,JJ)=1
                  CROSS(JJ,II)=1
               ENDIF
            END DO
         END DO
      END DO
C
      CLOSE(1)
      CLOSE(2)
      CLOSE(7)
C
 100  FORMAT(E11.5,',',E11.5)
C
      STOP
      END
